function rotationhelp() {
   w = 400;
   h = 350;
   l = Math.round((screen.width-w)/2);
   t = Math.round((screen.height-h)/2);
   try {
      if (parent.main.winhelp) { 
         parent.main.winhelp.focus();
      } else {
         winhelp = window.open("rotation.html", "_blank", "toolbar=no,menubar=no,scrollbars=no,resizable=no,width="+w+",height="+h+",left="+l+",top="+t);
      }
   } catch(e) {
      winhelp = window.open("rotation.html", "_blank", "toolbar=no,menubar=no,scrollbars=no,resizable=no,width="+w+",height="+h+",left="+l+",top="+t);
   }
   return true;
}
function check(id, textident) {
   targetelement = document.getElementById('c'+id);
   targetelement1 = document.getElementById('ss1'+id);
   if (targetelement.className.indexOf("checkbox checked") == 0) {
      targetelement.className = targetelement.className.replace ("checkbox checked", "checkbox unchecked");
      targetelement1.style.filter='alpha(Opacity=50)';
      external.RemoveSSFromRotation(id);
      if (textident != '') {
         external.AddClick('myscreensavers\/'+textident+'\/uncheck');
      }
   } else {
      targetelement.className = targetelement.className.replace ("checkbox unchecked", "checkbox checked");
      targetelement1.style.filter='alpha(Opacity=100)';
      external.AddSSToRotation(id);
      if (textident != '') {
         external.AddClick('myscreensavers\/'+textident+'\/check');
      }
   }
   return true;
}
function check_mouseover(el) {
   if (el.className == 'checkbox checked') {
      el.className = 'checkbox checked_hover';
   }
   else if (el.className == 'checkbox unchecked') {
      el.className = 'checkbox unchecked_hover';
   }
}
function check_mouseout(el) {
   if (el.className == 'checkbox checked_hover') {
      el.className = 'checkbox checked';
   }
   else if (el.className == 'checkbox unchecked_hover') {
      el.className = 'checkbox unchecked';
   }
}
function previewss(ident) {
   run = external.PreviewSSbyID(ident);
   if (run == false) {
      alert('You can\'t preview this screensaver');
   }
   return true;
}
function configss(ident) {
   run = external.ConfigSSbyID(ident);
   if (run == false) {
      alert('You can\'t config this screensaver');
   }
   return true;
}